X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Why am I seeing "upgrade your browser" messages on websites when I have the newest FireFox?

Posted

On my mother's computer which has the latest version of FireFox installed (I've made sure of that) it constantly shows messages on varying sites such as GMail that the browser is out of date and should be upgraded. As you can probably guess these messages mean almost nothing at all except to warn you that the site may not work, but they get annoying day after day when you can't upgrade to some version of FireFox that will be released in the literal future. What puzzles me is that I'm on a computer right now that is using FireFox 4.2 and I don't see these messages anywhere but I have seen them on her computer. I might just install Aurora but that might confuse her....

Chosen solution

Could you check her Firefox's user agent string? This article describes how to reset it if it's stuck in the past: Websites say that Firefox is outdated or incompatible even though it's the latest version.

Firefox 17.0.1 also reverses a change in Firefox 17.0 that confused some websites (it returns the Gecko version to Gecko/20100101 from Gecko/17.0), but I don't think that change created widespread problems.

Edit: The useragent string is listed in Help > Troubleshooting Information in the first table.

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • iPhoto6
  • Shockwave Flash 11.1 r102
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; PPC Mac OS X 10.5; rv:2.2a1pre) Gecko/20110414 Firefox/4.2a1pre

More Information

jscher2000
  • Top 10 Contributor
2365 solutions 20922 answers

Chosen Solution

Could you check her Firefox's user agent string? This article describes how to reset it if it's stuck in the past: Websites say that Firefox is outdated or incompatible even though it's the latest version.

Firefox 17.0.1 also reverses a change in Firefox 17.0 that confused some websites (it returns the Gecko version to Gecko/20100101 from Gecko/17.0), but I don't think that change created widespread problems.

Edit: The useragent string is listed in Help > Troubleshooting Information in the first table.

Modified by jscher2000

cor-el
  • Top 10 Contributor
  • Moderator
10753 solutions 96760 answers

Which Mac OS X version is running on your mothers computer?

Firefox 16 versions work on an Intel Mac with OS X 10.5, but that is the last Firefox version that will work with that OS.
Firefox 17 will require OS X 10.6 or later.

You can see the Firefox 17 system requirements here: http://www.mozilla.org/en-US/firefox/17.0.1/system-requirements/


Firefox 17 and later require at least a Mac with an Intel processor running OS X 10.6 (Firefox 16 will run on OS X 10.5).

For an unofficial Firefox 10.0.11 ESR compatible version (TenFourFox) that runs on PowerPC Macs with OS X 10.4.11 or OS X 10.5.8 you can look at:

For information about plugins see:

Question owner

That was it! Thank You! I don't know why I hadn't thought of checking the user agent string... apparently something had set the "User agent override" string as FireFox 3.6.3.

By the way, her computer is running Windows XP Media Center Edition, forgot to mention that (didn't realize that the forum would post my systems information).